aboutsummaryrefslogtreecommitdiff
path: root/configs/xmobar_cputemp_msi.sh
diff options
context:
space:
mode:
Diffstat (limited to 'configs/xmobar_cputemp_msi.sh')
-rwxr-xr-xconfigs/xmobar_cputemp_msi.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/configs/xmobar_cputemp_msi.sh b/configs/xmobar_cputemp_msi.sh
new file mode 100755
index 0000000..45c9bc0
--- /dev/null
+++ b/configs/xmobar_cputemp_msi.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+if [ "x$1" = "xCPU" ]; then
+ TYP="CPU"
+ OUT=$(sensors | sed -n 's/^Core 0:\s*+\(.*\).0°C\s*(\(.*\)/\1/p')
+elif [ "x$1" = "xMB" ]; then
+ TYP="MB"
+ OUT=$(sensors | sed -n 's/^temp3:\s*+\(.*\).0°C\s*(\(.*\)/\1/p')
+fi
+
+if [ $OUT -gt 70 ]; then
+ echo "$TYP: <fc=#FF0000>$OUT</fc>°C"
+elif [ $OUT -gt 60 ]; then
+ echo "$TYP: <fc=#FFFF00>$OUT</fc>°C"
+else
+ echo "$TYP: <fc=#00FF00>$OUT</fc>°C"
+fi
+exit $?